CC=gcc
GCCLOAD=30
CFLAGS=-Zcrtdll -Zomf -Zmt -Zdll -DDLL -ZC++-comments -s -D__OS2__ -D_System= -DSASR
LDFLAGS=-Zomf -Zcrtdll -Zmt -Zdll -s

all: gsmdll.dll

.SUFFIXES: .c .obj

objs = table.obj short_te.obj add.obj rpe.obj lpc.obj \
       long_ter.obj preproce.obj decode.obj code.obj gsm_enco.obj \
       gsm_dest.obj gsm_deco.obj gsm_crea.obj

incs = config.h gsm.h private.h proto.h unproto.h

.c.obj: $(incs)
	$(CC) $(CFLAGS) -c $<

gsmdll.dll: $(objs)
	$(CC) $(LDFLAGS) $(objs) gsmdll.def -o $@

clean:
	-del *.obj gsmdll.dll
