# IBM Developer's Workframe/2 Make File Creation run at 12:19:05 on 12/13/96

_COMPILER = GCC.EXE
_COMP = e:\emx
_SRC = d:\bcos2\bin\work\gsm
_DST = d:\bcos2\bin
#   _DST = $(_COMP)\tmp
_OBJ = $(_COMP)\obj

C_INCLUDE_PATH=$(_COMP)\include;$(_COMP)\include\os2;f:\toolkit\h;
LIBRARY_PATH=$(_COMP)\lib;f:\toolkit\lib;
LIB=$(_COMP)\lib;$(_COMP)\lib\mt;
PATH=$(_COMP)\bin;$(PATH)
DPATH=$(_COMP)\help;$(DPATH)
GCCLOAD=30

_C_FLAGS = -Zcrtdll -Zomf -Zmt -ZC++-comments -s -D__OS2__ -D_System= -DSASR

_C_FLAGS_DLL = $(_C_FLAGS) -Zdll -DDLL
_LINK_EXE = -Zomf -Zcrtdll -Zmt -s
_LINK_DLL = $(_LINK_EXE) -Zdll

ALL: GSMDLL

GSMDLL: $(_DST)\GSMDLL.DLL

.SUFFIXES: .c

$(_DST)\gsmdll.dll: \
  $(_SRC)\gsmdll.def \
  $(_OBJ)\table.obj \
  $(_OBJ)\short_te.obj \
  $(_OBJ)\add.obj \
  $(_OBJ)\rpe.obj \
  $(_OBJ)\lpc.obj \
  $(_OBJ)\long_ter.obj \
  $(_OBJ)\preproce.obj \
  $(_OBJ)\decode.obj \
  $(_OBJ)\code.obj \
  $(_OBJ)\gsm_enco.obj \
  $(_OBJ)\gsm_dest.obj \
  $(_OBJ)\gsm_deco.obj \
  $(_OBJ)\gsm_crea.obj \
  $(_SRC)\EMX.MAK
    $(_COMPILER) @<< $(_LINK_DLL)
$(_OBJ)\table.obj
$(_OBJ)\short_te.obj
$(_OBJ)\add.obj
$(_OBJ)\rpe.obj
$(_OBJ)\lpc.obj
$(_OBJ)\long_ter.obj
$(_OBJ)\preproce.obj
$(_OBJ)\decode.obj
$(_OBJ)\code.obj
$(_OBJ)\gsm_enco.obj
$(_OBJ)\gsm_dest.obj
$(_OBJ)\gsm_deco.obj
$(_OBJ)\gsm_crea.obj
$(_SRC)\gsmdll.def
-o $(_DST)\gsmdll.dll
<<

$(_OBJ)\table.obj: $(_SRC)\table.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\table.c

$(_OBJ)\short_te.obj: $(_SRC)\short_te.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\short_te.c

$(_OBJ)\add.obj: $(_SRC)\add.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\add.c

$(_OBJ)\rpe.obj: $(_SRC)\rpe.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\rpe.c

$(_OBJ)\lpc.obj: $(_SRC)\lpc.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\lpc.c

$(_OBJ)\long_ter.obj: $(_SRC)\long_ter.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\long_ter.c

$(_OBJ)\preproce.obj: $(_SRC)\preproce.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\preproce.c

$(_OBJ)\decode.obj: $(_SRC)\decode.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\decode.c

$(_OBJ)\code.obj: $(_SRC)\code.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\code.c

$(_OBJ)\gsm_crea.obj: $(_SRC)\gsm_crea.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\gsm_crea.c

$(_OBJ)\gsm_dest.obj: $(_SRC)\gsm_dest.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\gsm_dest.c

$(_OBJ)\gsm_deco.obj: $(_SRC)\gsm_deco.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\gsm_deco.c

$(_OBJ)\gsm_enco.obj: $(_SRC)\gsm_enco.c 
    $(_COMPILER) $(_C_FLAGS_DLL) -o $*.obj -c $(_SRC)\gsm_enco.c

$(_DST)\gsmdll.dll: \
  $(_SRC)\config.h \
  $(_SRC)\gsm.h \
  $(_SRC)\private.h \
  $(_SRC)\proto.h \
  $(_SRC)\unproto.h
