CC=icc
CFLAGS=/Q /Ss /Gn /Gm /Ge- /DSASR
LDFLAGS = $(CFLAGS)

all: gsmdll.dll

.SUFFIXES: .c .obj

objs = table.obj short_te.obj add.obj rpe.obj lpc.obj \
       long_ter.obj preproce.obj decode.obj code.obj gsm_enco.obj \
       gsm_dest.obj gsm_deco.obj gsm_crea.obj

incs = config.h gsm.h private.h proto.h unproto.h

.c.obj: $(incs)
	$(CC) $(CFLAGS) /C $<

gsmdll.dll: $(objs)
	$(CC) $(LDFLAGS) $(objs) gsmdll.def /Fe $@

clean:
	-del *.obj gsmdll.dll
